using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using FBPTest.TestNetworks;
//using FBPLib;


namespace  StandAloneTest
{
    
    internal partial class Form1 : Form
    {
        
        
        internal Form1()
        {
            InitializeComponent();
            
        }


        private void button1_Click(object sender, EventArgs e)
        {

            new Update().Go();

        }


        private void button2_Click(object sender, EventArgs e)
        {
            new TestInfQueue().Go();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            new MergeAndSort().Go();
        }

        
        private void button5_Click(object sender, EventArgs e)
        {

            new TestMixedInput().Go();
        }
        

       // private void Form1_Load(object sender, EventArgs e)
       // {

       // }

        private void button6_Click(object sender, EventArgs e)
        {
            new Deadlock().Go();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            new NoDeadlock().Go();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            new TestTune().Go();
        }
        private void button4_Click(object sender, EventArgs e)
        {
            new TestPassthrus().Go();
        }
        
    }
        
    
}